| GlsMap Toolkit 1.10.1

Classes | Public Member Functions | Protected Types | Protected Attributes | List of all members
disti::DNCUtil::QueryResults Class Reference

`#include <dnc_util.h>`

## Classes
class | FeatureDescription

## Public Member Functions
| QueryResults (const unsigned int libNum, const char *const libName)
| ~QueryResults ()
bool | IsValid (void) const
unsigned int | GetLibraryNumber (void) const
const char * | GetLibraryName (void) const
unsigned int | GetFeatureDescriptionCount (void) const
const FeatureDescription * | GetFeatureDescription (const unsigned int featDescIndex) const
bool | AddFeatureDescription (FeatureDescription *const featureDescription)

## Protected Types
typedef VPFUtil::PointerArray< FeatureDescription > | FeatureDescriptionArray

## Protected Attributes
VPFUtil::WarningBool | _isValid
const unsigned int | _libNum
const DNCString | _libName
FeatureDescriptionArray | _featureDescriptions

## Detailed Description

encapsulates the results of a map query

## Member Typedef Documentation

## ◆ FeatureDescriptionArray

typedef VPFUtil::PointerArray<FeatureDescription> disti::DNCUtil::QueryResults::FeatureDescriptionArray
| protected

array of FeatureDescription pointers

## Constructor & Destructor Documentation

## ◆ QueryResults()

DNCUtil::QueryResults::QueryResults | ( | const unsigned int | libNum,
|  | const char *const | libName
| ) |  |

Ctor

Parameters

  libNum | zero based library index into database for library containing results
  libName | name of library that contains results

## ◆ ~QueryResults()

DNCUtil::QueryResults::~QueryResults | ( |  | ) |

Dtor

## Member Function Documentation

## ◆ AddFeatureDescription()

bool DNCUtil::QueryResults::AddFeatureDescription | ( | FeatureDescription *const | featureDescription | ) |

Add the given feature description to the results. NOTE: QueryResults does not deep copy the description and owns the description if this method returns success

Parameters

  featureDescription | description in question

Returns
  true if success else false

## ◆ GetFeatureDescription()

const DNCUtil::QueryResults::FeatureDescription * DNCUtil::QueryResults::GetFeatureDescription | ( | const unsigned int | featDescIndex | ) | const

Get a feature description in the results

Parameters

  featDescIndex | zero based index to desired description ( < GetFeatureDescriptionCount() )

Returns
  desired feature description else NULL

## ◆ GetFeatureDescriptionCount()

unsigned int DNCUtil::QueryResults::GetFeatureDescriptionCount | ( | void |  | ) | const

Get the number of feature descriptions in the results

Returns
  number of feature descriptions in the results

## ◆ GetLibraryName()

const char * disti::DNCUtil::QueryResults::GetLibraryName | ( | void |  | ) | const
| inline

Get the name of library that contains results

Returns
  name of library that contains results

## ◆ GetLibraryNumber()

unsigned int disti::DNCUtil::QueryResults::GetLibraryNumber | ( | void |  | ) | const
| inline

Get the zero based library index into database for library containing results

Returns
  zero based library index into database for library containing results

## ◆ IsValid()

bool disti::DNCUtil::QueryResults::IsValid | ( | void |  | ) | const
| inline

Determine if the results are valid

Returns
  true if valid else false

## Member Data Documentation

## ◆ _featureDescriptions

FeatureDescriptionArray disti::DNCUtil::QueryResults::_featureDescriptions
| protected

array of feature descriptions

## ◆ _isValid

VPFUtil::WarningBool disti::DNCUtil::QueryResults::_isValid
| protected

true if results are valid else false

## ◆ _libName

const DNCString disti::DNCUtil::QueryResults::_libName
| protected

name of library that contains results

## ◆ _libNum

const unsigned int disti::DNCUtil::QueryResults::_libNum
| protected

zero based library index into database for library containing results

The documentation for this class was generated from the following files:

- dnc_util.h
- dnc_util.cpp